diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/static/js/rule.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/static/js/rule.js
index 0ad89576..3af61754 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/static/js/rule.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/rules/static/js/rule.js
@@ -1,7 +1,7 @@
 define('pgadmin.node.rule', [
   'sources/gettext', 'sources/url_for', 'jquery', 'underscore',
-  'underscore.string', 'sources/pgadmin', 'pgadmin.browser', 'codemirror'
-], function(gettext, url_for, $, _, S, pgAdmin, pgBrowser, CodeMirror) {
+  'sources/pgadmin', 'pgadmin.browser', 'pgadmin.backform',
+], function(gettext, url_for, $, _, pgAdmin, pgBrowser, Backform) {
 
   /**
     Create and add a rule collection into nodes
@@ -11,13 +11,13 @@ define('pgadmin.node.rule', [
       display under under properties.
    */
   if (!pgBrowser.Nodes['coll-rule']) {
-    var rules = pgAdmin.Browser.Nodes['coll-rule'] =
+    pgAdmin.Browser.Nodes['coll-rule'] =
       pgAdmin.Browser.Collection.extend({
         node: 'rule',
         label: gettext('Rules'),
         type: 'coll-rule',
         getTreeNodeHierarchy: pgBrowser.tableChildTreeNodeHierarchy,
-        columns: ["name", "owner", "comment"]
+        columns: ['name', 'owner', 'comment'],
       });
   }
 
@@ -65,7 +65,7 @@ define('pgadmin.node.rule', [
 
         /* Avoid mulitple registration of menus */
         if (this.initialized)
-            return;
+          return;
 
         this.initialized = true;
 
@@ -81,32 +81,32 @@ define('pgadmin.node.rule', [
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 1, label: gettext('Rule...'),
           icon: 'wcTabIcon icon-rule', data: {action: 'create', check: true},
-          enable: 'canCreate'
+          enable: 'canCreate',
         },{
           name: 'create_rule_onView', node: 'view', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 5, label: gettext('Rule...'),
           icon: 'wcTabIcon icon-rule', data: {action: 'create', check: true},
-          enable: 'canCreate'
+          enable: 'canCreate',
         },{
           name: 'create_rule', node: 'rule', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 1, label: gettext('Rule...'),
           icon: 'wcTabIcon icon-rule', data: {action: 'create', check: true},
-          enable: 'canCreate'
+          enable: 'canCreate',
         },{
           name: 'create_rule', node: 'table', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('Rule...'),
           icon: 'wcTabIcon icon-rule', data: {action: 'create', check: true},
-          enable: 'canCreate'
+          enable: 'canCreate',
         },{
           name: 'create_rule', node: 'partition', module: this,
           applies: ['object', 'context'], callback: 'show_obj_properties',
           category: 'create', priority: 4, label: gettext('Rule...'),
           icon: 'wcTabIcon icon-rule', data: {action: 'create', check: true},
-          enable: 'canCreate'
-        }
+          enable: 'canCreate',
+        },
         ]);
       },
 
@@ -119,7 +119,7 @@ define('pgadmin.node.rule', [
           id: 'name', label: gettext('Name'),
           type: 'text', disabled: function(m) {
             // disable name field it it is system rule
-            if (m && m.get('name') == "_RETURN") {
+            if (m && m.get('name') == '_RETURN') {
               return true;
             }
             if (m.isNew()) {
@@ -128,18 +128,18 @@ define('pgadmin.node.rule', [
               return false;
             }
             return true;
-          }
+          },
         },
         {
           id: 'oid', label: gettext('OID'),
-          type: 'text', disabled: true, mode: ['properties']
+          type: 'text', disabled: true, mode: ['properties'],
         },
         {
           id: 'schema', label:'',
           type: 'text', visible: false, disabled: function(m) {
             // It is used while generating sql
             m.set('schema', m.node_info.schema.label);
-          }
+          },
         },
         {
           id: 'view', label:'',
@@ -147,47 +147,47 @@ define('pgadmin.node.rule', [
 
             // It is used while generating sql
             m.set('view', this.node_data.label);
-          }
+          },
         },
         {
           id: 'event', label: gettext('Event'), control: 'select2',
           group: gettext('Definition'), type: 'text',
           select2: {
             width: '100%',
-            allowClear: false
+            allowClear: false,
           },
           options:[
             {label: 'Select', value: 'Select'},
             {label: 'Insert', value: 'Insert'},
             {label: 'Update', value: 'Update'},
-            {label: 'Delete', value: 'Delete'}
-          ]
+            {label: 'Delete', value: 'Delete'},
+          ],
         },
         {
           id: 'do_instead', label: gettext('Do Instead'), group: gettext('Definition'),
-          type: 'switch'
+          type: 'switch',
         },
         {
           id: 'condition', label: gettext('Condition'),
           type: 'text', group: gettext('Definition'),
-          control: Backform.SqlFieldControl
+          control: Backform.SqlFieldControl,
         },
         {
           id: 'statements', label: gettext('Commands'),
           type: 'text', group: gettext('Definition'),
-          control: Backform.SqlFieldControl
+          control: Backform.SqlFieldControl,
         },
         {
           id: 'system_rule', label: gettext('System rule?'),
-          type: 'switch', mode: ['properties']
+          type: 'switch', mode: ['properties'],
         },
         {
           id: 'enabled', label: gettext('Enabled?'),
-          type: 'switch', mode: ['properties']
+          type: 'switch', mode: ['properties'],
         },
         {
-          id: 'comment', label: gettext('Comment'), cell: 'string', type: 'multiline'
-        }
+          id: 'comment', label: gettext('Comment'), cell: 'string', type: 'multiline',
+        },
         ],
         validate: function() {
 
@@ -208,7 +208,7 @@ define('pgadmin.node.rule', [
             this.errorModel.unset('name');
           }
           return null;
-        }
+        },
       }),
 
       // Show or hide create rule menu option on parent node
@@ -231,7 +231,6 @@ define('pgadmin.node.rule', [
 
             //Check if we are not child of rule
             var prev_i = t.hasParent(i) ? t.parent(i) : null,
-              prev_d = prev_i ? t.itemData(prev_i) : null,
               prev_j = t.hasParent(prev_i) ? t.parent(prev_i) : null,
               prev_e = prev_j ? t.itemData(prev_j) : null,
               prev_k = t.hasParent(prev_j) ? t.parent(prev_j) : null,
@@ -249,7 +248,6 @@ define('pgadmin.node.rule', [
            */
           else if('view' == d._type || 'table' == d._type){
             prev_i = t.hasParent(i) ? t.parent(i) : null;
-            prev_d = prev_i ? t.itemData(prev_i) : null;
             prev_j = t.hasParent(prev_i) ? t.parent(prev_i) : null;
             prev_e = prev_j ? t.itemData(prev_j) : null;
             if(prev_e._type == 'schema') {
@@ -265,9 +263,9 @@ define('pgadmin.node.rule', [
         // By default we do not want to allow create menu
         return true;
 
-      }
+      },
 
-  });
+    });
   }
 
   return pgBrowser.Nodes['coll-rule'];
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/partition.utils.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/partition.utils.js
index 542463fa..80610cfe 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/partition.utils.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/partition.utils.js
@@ -1,30 +1,30 @@
-define('pgadmin.node.table_partition_utils',
-        ['sources/gettext', 'jquery', 'underscore', 'pgadmin.browser',
-        'backform','backgrid', 'pgadmin.browser.collection'],
-function(gettext, $, _, pgBrowser, Backform, Backgrid) {
+define('pgadmin.node.table_partition_utils', [
+  'sources/gettext', 'jquery', 'underscore', 'backbone', 'pgadmin.browser',
+  'pgadmin.backform','pgadmin.backgrid', 'pgadmin.browser.collection',
+], function(gettext, $, _, Backbone, pgBrowser, Backform, Backgrid) {
 
   Backgrid.PartitionRow = Backgrid.Row.extend({
-    modelDuplicateColor: "lightYellow",
+    modelDuplicateColor: 'lightYellow',
 
-    modelUniqueColor: "#fff",
+    modelUniqueColor: '#fff',
 
     initialize: function () {
       Backgrid.Row.prototype.initialize.apply(this, arguments);
       var self = this;
-      self.model.on("change:is_attach", function() {
+      self.model.on('change:is_attach', function() {
         setTimeout(function() {
           self.columns.each(function(col) {
             if (col.get('name') == 'partition_name') {
               var idx = self.columns.indexOf(col),
-                cf = col.get("cellFunction"),
+                cf = col.get('cellFunction'),
                 cell = new (cf.apply(col, [self.model]))({
                   column: col,
-                  model: self.model
+                  model: self.model,
                 }),
-                  oldCell = self.cells[idx];
-                oldCell.remove();
-                self.cells[idx] = cell;
-                self.render();
+                oldCell = self.cells[idx];
+              oldCell.remove();
+              self.cells[idx] = cell;
+              self.render();
             }
           });
         }, 10);
@@ -33,16 +33,16 @@ function(gettext, $, _, pgBrowser, Backform, Backgrid) {
       self.listenTo(self.model, 'pgadmin-session:model:unique', self.modelUnique);
     },
     modelDuplicate: function() {
-      $(this.el).removeClass("new");
+      $(this.el).removeClass('new');
       this.el.style.backgroundColor = this.modelDuplicateColor;
     },
     modelUnique: function() {
       this.el.style.backgroundColor = this.modelUniqueColor;
-    }
+    },
   });
 
   var getPartitionCell = function(model) {
-    var is_attach = model.get("is_attach");
+    var is_attach = model.get('is_attach');
     if (is_attach) {
       var options = [];
       model.set({'partition_name': undefined}, {silent:true});
@@ -57,147 +57,148 @@ function(gettext, $, _, pgBrowser, Backform, Backgrid) {
   };
 
   Backform.PartitionKeyModel = pgBrowser.Node.Model.extend({
-     defaults: {
-       key_type: 'column',
-       pt_column: undefined,
-       expression: undefined
-     },
-     keys:['pt_column'],
-     schema: [{
-       id: 'key_type', label: gettext('Key type'), type:'select2', editable: true,
-       cell:'select2', cellHeaderClasses: 'width_percent_25',
-       select2: {allowClear: false},
-       options:[{
-         label: gettext('Column'), value: 'column'
-       },{
-         label: gettext('Expression'), value: 'expression'
-       }]
-     },{
-       id: 'pt_column', label: gettext('Column'), type:'text',
-       cell: Backgrid.Extension.Select2DepCell.extend({
-         keyPathAccessor: function(obj, path) {
-           var res = obj;
-           if(_.isArray(res)) {
-             return _.map(res, function(o) { return o['pt_column']
-             });
-           }
-           path = path.split('.');
-           for (var i = 0; i < path.length; i++) {
-             if (_.isNull(res)) return null;
-             if (_.isEmpty(path[i])) continue;
-             if (!_.isUndefined(res[path[i]])) res = res[path[i]];
-           }
-           return _.isObject(res) && !_.isArray(res) ? null : res;
-         },
-         initialize: function() {
+    defaults: {
+      key_type: 'column',
+      pt_column: undefined,
+      expression: undefined,
+    },
+    keys:['pt_column'],
+    schema: [{
+      id: 'key_type', label: gettext('Key type'), type:'select2', editable: true,
+      cell:'select2', cellHeaderClasses: 'width_percent_25',
+      select2: {allowClear: false},
+      options:[{
+        label: gettext('Column'), value: 'column',
+      },{
+        label: gettext('Expression'), value: 'expression',
+      }],
+    },{
+      id: 'pt_column', label: gettext('Column'), type:'text',
+      cell: Backgrid.Extension.Select2DepCell.extend({
+        keyPathAccessor: function(obj, path) {
+          var res = obj;
+          if(_.isArray(res)) {
+            return _.map(res, function(o) { return o['pt_column'];
+            });
+          }
+          path = path.split('.');
+          for (var i = 0; i < path.length; i++) {
+            if (_.isNull(res)) return null;
+            if (_.isEmpty(path[i])) continue;
+            if (!_.isUndefined(res[path[i]])) res = res[path[i]];
+          }
+          return _.isObject(res) && !_.isArray(res) ? null : res;
+        },
+        initialize: function() {
          // Here we will decide if we need to call URL
          // Or fetch the data from parent columns collection
-           var self = this;
-           if(this.model.handler) {
-             Backgrid.Extension.Select2DepCell.prototype.initialize.apply(this, arguments);
+          var self = this;
+          if(this.model.handler) {
+            Backgrid.Extension.Select2DepCell.prototype.initialize.apply(this, arguments);
              // Do not listen for any event(s) for existing constraint.
-             if (_.isUndefined(self.model.get('oid'))) {
-               var tableCols = self.model.top.get('columns');
-               self.listenTo(tableCols, 'remove' , self.resetColOptions);
-               self.listenTo(tableCols, 'change:name', self.resetColOptions);
-             }
+            if (_.isUndefined(self.model.get('oid'))) {
+              var tableCols = self.model.top.get('columns');
+              self.listenTo(tableCols, 'remove' , self.resetColOptions);
+              self.listenTo(tableCols, 'change:name', self.resetColOptions);
+            }
 
-             self.custom_options();
-           }
-         },
-         resetColOptions: function(m) {
-           var self = this;
+            self.custom_options();
+          }
+        },
+        resetColOptions: function() {
+          var self = this;
 
-           setTimeout(function () {
-             self.custom_options();
-             self.render.apply(self);
-           }, 50);
-         },
-         custom_options: function() {
+          setTimeout(function () {
+            self.custom_options();
+            self.render.apply(self);
+          }, 50);
+        },
+        custom_options: function() {
            // We will add all the columns entered by user in table model
-           var columns = this.model.top.get('columns'),
-               typename = this.model.top.get('typname'),
-               of_types_tables = this.model.top.of_types_tables,
-               added_columns_from_tables = [];
+          var columns = this.model.top.get('columns'),
+            typename = this.model.top.get('typname'),
+            of_types_tables = this.model.top.of_types_tables,
+            added_columns_from_tables = [];
 
-           if (columns.length > 0) {
-             _.each(columns.models, function(m) {
-                 var col = m.get('name');
-                 if(!_.isUndefined(col) && !_.isNull(col)) {
-                   added_columns_from_tables.push(
+          if (columns.length > 0) {
+            _.each(columns.models, function(m) {
+              var col = m.get('name');
+              if(!_.isUndefined(col) && !_.isNull(col)) {
+                added_columns_from_tables.push(
                      {label: col, value: col, image:'icon-column'}
                    );
-                 }
-             });
-           } else if (!_.isUndefined(typename) && !_.isNull(typename)
+              }
+            });
+          } else if (!_.isUndefined(typename) && !_.isNull(typename)
               && !_.isUndefined(of_types_tables) && of_types_tables.length > 0) {
               // Iterate through all the of_type tables
-              _.each(of_types_tables, function(type) {
-                if (type.label == typename) {
+            _.each(of_types_tables, function(type) {
+              if (type.label == typename) {
                   // Iterate all the columns of selected "OF TYPE".
-                  _.each(type.oftype_columns, function(col) {
-                    added_columns_from_tables.push(
+                _.each(type.oftype_columns, function(col) {
+                  added_columns_from_tables.push(
                       {label: col.name, value: col.name, image:'icon-column'}
                     );
-                  });
-                }
-              });
-           }
+                });
+              }
+            });
+          }
 
            // Set the values in to options so that user can select
-           this.column.set('options', added_columns_from_tables);
-         },
-         remove: function() {
-           if(this.model.handler) {
-             var self = this,
-             tableCols = self.model.top.get('columns');
-             self.stopListening(tableCols, 'remove' , self.resetColOptions);
-             self.stopListening(tableCols, 'change:name' , self.resetColOptions);
-             Backgrid.Extension.Select2DepCell.prototype.remove.apply(this, arguments);
-           }
-         }
-       }),
-       deps: ['key_type'],
-       cellHeaderClasses: 'width_percent_30',
-       transform : function(data){
-         var res = [];
-         if (data && _.isArray(data)) {
-           _.each(data, function(d) {
-             res.push({label: d.label, value: d.label, image:'icon-column'});
-           })
-         }
-         return res;
-       },
-       select2:{allowClear:false},
-       editable: function(m) {
-         if (m.get('key_type') == 'expression') {
-           setTimeout( function() {
-              m.set('pt_column', undefined);
-           }, 10);
-           return false;
-         }
-         return true;
-       }
-     },{
-       id: 'expression', label: gettext('Expression'), type:'text',
-       cell:Backgrid.Extension.StringDepCell,
-       cellHeaderClasses: 'width_percent_45',
-       deps: ['key_type'],
-       editable: function(m) {
-         if (m.get('key_type') == 'column') {
-           setTimeout( function() {
-              m.set('expression', undefined);
-           }, 10);
-           return false;
-         }
-         return true;
-       }
-     }
+          this.column.set('options', added_columns_from_tables);
+        },
+        remove: function() {
+          if(this.model.handler) {
+            var self = this,
+              tableCols = self.model.top.get('columns');
+            self.stopListening(tableCols, 'remove' , self.resetColOptions);
+            self.stopListening(tableCols, 'change:name' , self.resetColOptions);
+            Backgrid.Extension.Select2DepCell.prototype.remove.apply(this, arguments);
+          }
+        },
+      }),
+      deps: ['key_type'],
+      cellHeaderClasses: 'width_percent_30',
+      transform : function(data){
+        var res = [];
+        if (data && _.isArray(data)) {
+          _.each(data, function(d) {
+            res.push({label: d.label, value: d.label, image:'icon-column'});
+          });
+        }
+        return res;
+      },
+      select2:{allowClear:false},
+      editable: function(m) {
+        if (m.get('key_type') == 'expression') {
+          setTimeout( function() {
+            m.set('pt_column', undefined);
+          }, 10);
+          return false;
+        }
+        return true;
+      },
+    },{
+      id: 'expression', label: gettext('Expression'), type:'text',
+      cell:Backgrid.Extension.StringDepCell,
+      cellHeaderClasses: 'width_percent_45',
+      deps: ['key_type'],
+      editable: function(m) {
+        if (m.get('key_type') == 'column') {
+          setTimeout( function() {
+            m.set('expression', undefined);
+          }, 10);
+          return false;
+        }
+        return true;
+      },
+    },
     ],
-    validate: function(keys) {
+    validate: function() {
       var col_type = this.get('key_type'),
-         pt_column = this.get('pt_column'),
-         expression = this.get('expression');
+        pt_column = this.get('pt_column'),
+        expression = this.get('expression'),
+        msg;
 
       // Have to clear existing validation before initiating current state
       // validation only
@@ -205,27 +206,27 @@ function(gettext, $, _, pgBrowser, Backform, Backgrid) {
 
       if (_.isUndefined(col_type) || _.isNull(col_type) ||
         String(col_type).replace(/^\s+|\s+$/g, '') == '') {
-        var msg = gettext('Partition key type cannot be empty.');
+        msg = gettext('Partition key type cannot be empty.');
         this.errorModel.set('key_type', msg);
         return msg;
       }
       else if (col_type == 'column' &&
         _.isUndefined(pt_column) || _.isNull(pt_column) ||
         String(pt_column).replace(/^\s+|\s+$/g, '') == '') {
-        var msg = gettext('Partition key column cannot be empty.');
+        msg = gettext('Partition key column cannot be empty.');
         this.errorModel.set('pt_column', msg);
         return msg;
       }
       else if (col_type == 'expression' &&
         _.isUndefined(expression) || _.isNull(expression) ||
         String(expression).replace(/^\s+|\s+$/g, '') == '') {
-        var msg = gettext('Partition key expression cannot be empty.');
+        msg = gettext('Partition key expression cannot be empty.');
         this.errorModel.set('expression', msg);
         return msg;
       }
 
       return null;
-    }
+    },
   });
 
   Backform.PartitionsModel = pgBrowser.Node.Model.extend({
@@ -235,11 +236,11 @@ function(gettext, $, _, pgBrowser, Backform, Backgrid) {
       partition_name: undefined,
       values_from: undefined,
       values_to: undefined,
-      values_in: undefined
+      values_in: undefined,
     },
     keys:['partition_name'],
     schema: [{
-      id: 'oid', label: gettext('OID'), type: 'text'
+      id: 'oid', label: gettext('OID'), type: 'text',
     },{
       id: 'is_attach', label:gettext('Operation'), cell: 'switch',
       type: 'switch', options: { 'onText': gettext('Attach'), 'offText': gettext('Create')},
@@ -248,7 +249,7 @@ function(gettext, $, _, pgBrowser, Backform, Backgrid) {
         if (m instanceof Backbone.Model && m.isNew() && !m.top.isNew())
           return true;
         return false;
-      }
+      },
     },{
       id: 'partition_name', label: gettext('Name'), type: 'text', cell:'string',
       cellHeaderClasses: 'width_percent_25',
@@ -256,19 +257,19 @@ function(gettext, $, _, pgBrowser, Backform, Backgrid) {
         if (m instanceof Backbone.Model && m.isNew())
           return true;
         return false;
-      }, cellFunction: getPartitionCell
+      }, cellFunction: getPartitionCell,
     },{
       id: 'values_from', label: gettext('From'), type:'text',
       cell:Backgrid.Extension.StringDepCell,
       cellHeaderClasses: 'width_percent_20',
       editable: function(m) {
-       if(m.handler && m.handler.top &&
+        if(m.handler && m.handler.top &&
           m.handler.top.attributes &&
           m.handler.top.attributes.partition_type == 'range' &&
           m instanceof Backbone.Model && m.isNew())
           return true;
-       return false;
-      }
+        return false;
+      },
     },{
       id: 'values_to', label: gettext('To'), type:'text',
       cell:Backgrid.Extension.StringDepCell,
@@ -280,7 +281,7 @@ function(gettext, $, _, pgBrowser, Backform, Backgrid) {
           m instanceof Backbone.Model && m.isNew())
           return true;
         return false;
-      }
+      },
     },{
       id: 'values_in', label: gettext('In'), type:'text',
       cell:Backgrid.Extension.StringDepCell,
@@ -292,13 +293,14 @@ function(gettext, $, _, pgBrowser, Backform, Backgrid) {
           m instanceof Backbone.Model && m.isNew())
           return true;
         return false;
-      }
+      },
     }],
-    validate: function(keys) {
+    validate: function() {
       var partition_name = this.get('partition_name'),
-         values_from = this.get('values_from'),
-         values_to = this.get('values_to'),
-         values_in = this.get('values_in');
+        values_from = this.get('values_from'),
+        values_to = this.get('values_to'),
+        values_in = this.get('values_in'),
+        msg;
 
       // Have to clear existing validation before initiating current state
       // validation only
@@ -306,34 +308,34 @@ function(gettext, $, _, pgBrowser, Backform, Backgrid) {
 
       if (_.isUndefined(partition_name) || _.isNull(partition_name) ||
        String(partition_name).replace(/^\s+|\s+$/g, '') == '') {
-       var msg = gettext('Partition name cannot be empty.');
-       this.errorModel.set('partition_name', msg);
-       return msg;
+        msg = gettext('Partition name cannot be empty.');
+        this.errorModel.set('partition_name', msg);
+        return msg;
       }
 
       if (this.top.get('partition_type') == 'range') {
         if (_.isUndefined(values_from) || _.isNull(values_from) ||
           String(values_from).replace(/^\s+|\s+$/g, '') == '') {
-          var msg = gettext('For range partition From field cannot be empty.');
+          msg = gettext('For range partition From field cannot be empty.');
           this.errorModel.set('values_from', msg);
           return msg;
         } else if (_.isUndefined(values_to) || _.isNull(values_to) ||
           String(values_to).replace(/^\s+|\s+$/g, '') == '') {
-          var msg = gettext('For range partition To field cannot be empty.');
+          msg = gettext('For range partition To field cannot be empty.');
           this.errorModel.set('values_to', msg);
           return msg;
         }
       } else if (this.top.get('partition_type') == 'list') {
         if (_.isUndefined(values_in) || _.isNull(values_in) ||
           String(values_in).replace(/^\s+|\s+$/g, '') == '') {
-          var msg = gettext('For list partition In field cannot be empty.');
+          msg = gettext('For list partition In field cannot be empty.');
           this.errorModel.set('values_in', msg);
           return msg;
         }
       }
 
       return null;
-    }
+    },
   });
 
 });
